<template>
  <!-- navigation Compte client -->

  <b-nav pills class="mb-4">
    <b-nav-item>
      <router-link :to="{ path: 'compte-client', query: { action: 'commandes' } }">
        Mes commandes
      </router-link>
    </b-nav-item>
    <b-nav-item-dropdown id="gest-commandes" text="Gérer mon compte" toggle-class="nav-link-custom">
      <b-dropdown-item>
        <router-link :to="{ path: 'compte-client', query: { action: 'adresse' } }">
          Modifier mes infos
        </router-link>
      </b-dropdown-item>
      <b-dropdown-item>
        <router-link :to="{ path: 'compte-client', query: { action: 'password' } }">
          Modifier mon mot de passe
        </router-link>
      </b-dropdown-item>
    </b-nav-item-dropdown>
    <b-nav-item-dropdown id="divers" text="Divers" toggle-class="nav-link-custom">
      <b-dropdown-item>
        <router-link :to="{ path: 'compte-client', query: { action: 'commercant' } }">
          Contacter le commerçant
        </router-link>
      </b-dropdown-item>
      <b-dropdown-item>
        <router-link :to="{ path: 'compte-client', query: { action: 'offres' } }">
          Offre promotionnelles
        </router-link>
      </b-dropdown-item>

      <b-dropdown-item>
        <router-link :to="{ path: 'compte-client', query: { action: 'newsletter' } }">
          Newsletter
        </router-link>
      </b-dropdown-item>

      <b-dropdown-item>
        <router-link :to="{ path: 'compte-client', query: { action: 'suppression' } }">
          Supprimer mon compte
        </router-link>
      </b-dropdown-item>
    </b-nav-item-dropdown>
    <b-button @click="logout()" variant="danger"><font-awesome-icon icon="unlock" /> Déconnexion</b-button>
  </b-nav>
</template>
<script>
import store from "../../store";

export default {
  props: ["clientStore"],
  data() {
    return {
      //
    };
  },
  methods: {
    logout() {
      store.dispatch("logout");
      this.$router.push("/")
    }
  }
};
</script>
